*read_codepage.sps.
CD '/examples/data'.
DATASET CLOSE ALL.
NEW FILE.
SET UNICODE YES.
DATA LIST LIST FILE='codepage.txt'
   /NumVar (F3) StringVar (A8).
EXECUTE.
DATA LIST LIST FILE='codepage.txt' ENCODING='Locale'
   /NumVar (F3) StringVar (A8).
COMPUTE ByteLength=LENGTH(RTRIM(StringVar)).
COMPUTE CharLength=CHAR.LENGTH(StringVar).
SUMMARIZE 
  /TABLES=StringVar ByteLength CharLength 
  /FORMAT=VALIDLIST /CELLS=COUNT
  /TITLE='Unicode Byte and Character Counts'.
DISPLAY DICTIONARY VARIABLES=StringVar.
DATASET CLOSE ALL.
NEW FILE.
SET UNICODE NO.
